Index: /ipk/source.sh4/feed_enigma/CONTROL/control
===================================================================
--- /ipk/source.sh4/feed_enigma/CONTROL/control	(revision 10624)
+++ /ipk/source.sh4/feed_enigma/CONTROL/control	(revision 10624)
@@ -0,0 +1,2 @@
+Package: enigma2-plugin-feeds-enigma2
+
Index: /ipk/source.sh4/feed_enigma/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/feed_enigma/CONTROL/postinst	(revision 10624)
+++ /ipk/source.sh4/feed_enigma/CONTROL/postinst	(revision 10624)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "successfully installed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/feed_enigma/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/feed_enigma/CONTROL/postrm	(revision 10624)
+++ /ipk/source.sh4/feed_enigma/CONTROL/postrm	(revision 10624)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/feed_enigma/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/feed_enigma/CONTROL/preinst	(revision 10624)
+++ /ipk/source.sh4/feed_enigma/CONTROL/preinst	(revision 10624)
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+TMP=/tmp/.feeds
+echo "syncing disk"
+sync
+
+rm -r /var/etc/ipkg/official-feed.conf
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+
+echo "installing new Downloadfeed for Enigma2 Plugins"
+echo "checking OS"
+if [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+
+exit 0
Index: /ipk/source.sh4/feed_enigma/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/feed_enigma/CONTROL/prerm	(revision 10624)
+++ /ipk/source.sh4/feed_enigma/CONTROL/prerm	(revision 10624)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "syncing disk"
+sync
+
+echo "removing Plugin Downloadfeed"
+exit 0
Index: /ipk/source.sh4/feed_enigma/var/etc/ipkg/official-feed.conf
===================================================================
--- /ipk/source.sh4/feed_enigma/var/etc/ipkg/official-feed.conf	(revision 10624)
+++ /ipk/source.sh4/feed_enigma/var/etc/ipkg/official-feed.conf	(revision 10624)
@@ -0,0 +1,4 @@
+src/gz cross http://svn.aaf-board.com/public/ipk/aaf-titan-prealpha3/sh4/enigma2
+
+
+
Index: /ipk/source.sh4/feed_neutrino/CONTROL/control
===================================================================
--- /ipk/source.sh4/feed_neutrino/CONTROL/control	(revision 10624)
+++ /ipk/source.sh4/feed_neutrino/CONTROL/control	(revision 10624)
@@ -0,0 +1,1 @@
+Package: enigma2-plugin-feeds-neutrino
Index: /ipk/source.sh4/feed_neutrino/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/feed_neutrino/CONTROL/postinst	(revision 10624)
+++ /ipk/source.sh4/feed_neutrino/CONTROL/postinst	(revision 10624)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "successfully installed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/feed_neutrino/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/feed_neutrino/CONTROL/postrm	(revision 10624)
+++ /ipk/source.sh4/feed_neutrino/CONTROL/postrm	(revision 10624)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/feed_neutrino/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/feed_neutrino/CONTROL/preinst	(revision 10624)
+++ /ipk/source.sh4/feed_neutrino/CONTROL/preinst	(revision 10624)
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+TMP=/tmp/.feeds
+echo "syncing disk"
+sync
+
+rm -r /var/etc/ipkg/official-feed.conf
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+
+echo "installing new Downloadfeed for Enigma2 Plugins"
+echo "checking OS"
+if [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+
+exit 0
Index: /ipk/source.sh4/feed_neutrino/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/feed_neutrino/CONTROL/prerm	(revision 10624)
+++ /ipk/source.sh4/feed_neutrino/CONTROL/prerm	(revision 10624)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "syncing disk"
+sync
+
+echo "removing Plugin Downloadfeed"
+exit 0
Index: /ipk/source.sh4/feed_neutrino/var/etc/ipkg/official-feed.conf
===================================================================
--- /ipk/source.sh4/feed_neutrino/var/etc/ipkg/official-feed.conf	(revision 10624)
+++ /ipk/source.sh4/feed_neutrino/var/etc/ipkg/official-feed.conf	(revision 10624)
@@ -0,0 +1,4 @@
+src/gz cross http://svn.aaf-board.com/public/ipk/aaf-titan-prealpha3/sh4/neutrino
+
+
+
Index: /ipk/source.sh4/feed_titan/CONTROL/control
===================================================================
--- /ipk/source.sh4/feed_titan/CONTROL/control	(revision 10624)
+++ /ipk/source.sh4/feed_titan/CONTROL/control	(revision 10624)
@@ -0,0 +1,2 @@
+Package: enigma2-plugin-feeds-titan
+ 
Index: /ipk/source.sh4/feed_titan/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/feed_titan/CONTROL/postinst	(revision 10624)
+++ /ipk/source.sh4/feed_titan/CONTROL/postinst	(revision 10624)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "successfully installed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/feed_titan/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/feed_titan/CONTROL/postrm	(revision 10624)
+++ /ipk/source.sh4/feed_titan/CONTROL/postrm	(revision 10624)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/feed_titan/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/feed_titan/CONTROL/preinst	(revision 10624)
+++ /ipk/source.sh4/feed_titan/CONTROL/preinst	(revision 10624)
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+TMP=/tmp/.feeds
+echo "syncing disk"
+sync
+
+rm -r /var/etc/ipkg/official-feed.conf
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+
+echo "installing new Downloadfeed for Titan Plugins"
+echo "checking OS"
+if [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+
+exit 0
Index: /ipk/source.sh4/feed_titan/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/feed_titan/CONTROL/prerm	(revision 10624)
+++ /ipk/source.sh4/feed_titan/CONTROL/prerm	(revision 10624)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.feeds
+echo "syncing disk"
+sync
+
+echo "removing Plugin Downloadfeed"
+exit 0
Index: /ipk/source.sh4/feed_titan/var/etc/ipkg/official-feed.conf
===================================================================
--- /ipk/source.sh4/feed_titan/var/etc/ipkg/official-feed.conf	(revision 10624)
+++ /ipk/source.sh4/feed_titan/var/etc/ipkg/official-feed.conf	(revision 10624)
@@ -0,0 +1,4 @@
+src/gz cross http://svn.aaf-board.com/public/ipk/aaf-titan-prealpha3/sh4/titan
+
+
+
